summaryrefslogtreecommitdiffstats
path: root/libraries/CEGUI
diff options
context:
space:
mode:
author Phillip Warner2010-05-12 17:40:10 +0200
committer Robby Workman2010-05-12 17:40:10 +0200
commitdbbfd32409c576c2746822359f0f03af41dfa02e (patch)
treeecd47f382782246a03f1e3dee067c20623de2799 /libraries/CEGUI
parent32500203ad83a0d0e852a5406d194f7f1e8b015c (diff)
downloadslackbuilds-dbbfd32409c576c2746822359f0f03af41dfa02e.tar.gz
libraries/CEGUI: Updated for version 0.6.2
Diffstat (limited to 'libraries/CEGUI')
-rw-r--r--libraries/CEGUI/CEGUI.SlackBuild16
-rw-r--r--libraries/CEGUI/CEGUI.info10
-rw-r--r--libraries/CEGUI/slack-desc4
3 files changed, 19 insertions, 11 deletions
diff --git a/libraries/CEGUI/CEGUI.SlackBuild b/libraries/CEGUI/CEGUI.SlackBuild
index 8f5347b878..3a68e63cd7 100644
--- a/libraries/CEGUI/CEGUI.SlackBuild
+++ b/libraries/CEGUI/CEGUI.SlackBuild
@@ -5,7 +5,7 @@
# Modified by Robby Workman <rworkman@slackbuilds.org>
PRGNAM=CEGUI
-VERSION=${VERSION:-0.6.1}
+VERSION=${VERSION:-0.6.2}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -17,10 +17,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -42,18 +45,23 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--disable-debug
make force_arch="$ARCH"
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp AUTHORS COPYING README ChangeLog TODO TinyXML-License $PKG/usr/doc/$PRGNAM-$VERSION
+cp \
+ AUTHORS COPYING README ChangeLog TODO TinyXML-License \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/libraries/CEGUI/CEGUI.info b/libraries/CEGUI/CEGUI.info
index 44e53492a2..6eeec63b85 100644
--- a/libraries/CEGUI/CEGUI.info
+++ b/libraries/CEGUI/CEGUI.info
@@ -1,8 +1,8 @@
PRGNAM="CEGUI"
-VERSION="0.6.1"
+VERSION="0.6.2"
HOMEPAGE="http://www.cegui.org.uk/wiki/index.php/Main_Page"
-DOWNLOAD="http://downloads.sourceforge.net/crayzedsgui/CEGUI-0.6.1.tar.gz"
-MD5SUM="aee37f8532ecbdc0b87efbaebafdf148"
-MAINTAINER="Phil Warner"
+DOWNLOAD="http://downloads.sourceforge.net/crayzedsgui/CEGUI-0.6.2.tar.gz"
+MD5SUM="fb058bd711fa9a865658efbc37fac24d"
+MAINTAINER="Phillip Warner"
EMAIL="pc_warner@yahoo.com"
-APPROVED="David Somero"
+APPROVED="rworkman"
diff --git a/libraries/CEGUI/slack-desc b/libraries/CEGUI/slack-desc
index ad82f60501..b5bd7ec131 100644
--- a/libraries/CEGUI/slack-desc
+++ b/libraries/CEGUI/slack-desc
@@ -14,6 +14,6 @@ CEGUI: natively available, or severely lacking. The library is object
CEGUI: orientated, written in C++, and targeted at games developers who
CEGUI: should be spending their time creating great games, not building GUI
CEGUI: sub-systems!
-CEGUI:
+CEGUI:
CEGUI: http://www.cegui.org.uk/wiki/index.php/Main_Page
-CEGUI:
+CEGUI: